# Generated by Django 5.0.7 on 2024-10-07 13:30

import django.db.models.deletion
import wagtailmetadata.models
from django.db import migrations, models

import shared.models.main


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0293_auto_20241004_0952"),
        ("wagtailcore", "0093_uploadedfile"),
        ("wagtailimages", "0026_delete_uploadedimage"),
    ]

    operations = [
        migrations.CreateModel(
            name="DistrictManualOctopusPersonPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "username",
                    models.CharField(
                        help_text='Uživatelské jméno uživatele v Chobotnici, např. "igor.hnizdo".',
                        max_length=128,
                        verbose_name="Username",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Osoba z Chobotnice",
            },
            bases=(
                shared.models.main.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
